Bug 118521 - Hover help gives a traceback because libgcj does not support String.split because java.util.regex.Pattern.compile is not compiled in since the regex code just went into libgcj very recently
Hover help gives a traceback because libgcj does not support String.split bec...
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: Hover Help Plug-in (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Moller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 07:48 EST by Rick Moseley
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-30 14:32:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick Moseley 2004-03-17 07:48:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
In the CDT when moving the cursor over a C/C++ keyword, the following
traceback is generated:

Exception in thread "Text Viewer Hover Presenter" java.lang.Error: Not
implemented
  at java.util.regex.Pattern.compile(java.lang.String)
(/lib/ssa/libgcj.so.4.0.0)
  at java.lang.String.split(java.lang.String) (/lib/ssa/libgcj.so.4.0.0)
  at org.eclipse.cdt.internal.ui.CTextHover.initialize()
(/usr/lib/eclipse/plugins/org.eclipse.cdt.ui_1.2.0/libcdtui.so)
  at org.eclipse.cdt.internal.ui.CTextHoverContributorManager$1.run()
(/usr/lib/eclipse/plugins/org.eclipse.cdt.ui_1.2.0/libcdtui.so)
  at
org.eclipse.core.internal.runtime.InternalPlatform.run(org.eclipse.core.runtime.ISafeRunnable)
(/usr/lib/eclipse/plugins/org.eclipse.core.runtime_2.1.1/libruntime.so)
  at
org.eclipse.core.runtime.Platform.run(org.eclipse.core.runtime.ISafeRunnable)
(/usr/lib/eclipse/plugins/org.eclipse.core.runtime_2.1.1/libruntime.so)
  at
org.eclipse.cdt.internal.ui.CTextHoverContributorManager.loadExtensions()
(/usr/lib/eclipse/plugins/org.eclipse.cdt.ui_1.2.0/libcdtui.so)
  at
org.eclipse.cdt.internal.ui.CTextHoverContributorManager.getFunctionInfo(java.lang.String)
(/usr/lib/eclipse/plugins/org.eclipse.cdt.ui_1.2.0/libcdtui.so)
  at
org.eclipse.cdt.internal.ui.editor.DefaultCEditorTextHover.getHoverInfo(org.eclipse.jface.text.ITextViewer,
org.eclipse.jface.text.IRegion)
(/usr/lib/eclipse/plugins/org.eclipse.cdt.ui_1.2.0/libcdtui.so)
  at
org.eclipse.cdt.internal.ui.editor.CEditorTextHoverDispatcher.getHoverInfo(org.eclipse.jface.text.ITextViewer,
org.eclipse.jface.text.IRegion)
(/usr/lib/eclipse/plugins/org.eclipse.cdt.ui_1.2.0/libcdtui.so)
  at org.eclipse.jface.text.TextViewerHoverManager$2.run()
(/usr/lib/eclipse/plugins/org.eclipse.jface.text_2.1.0/libjfacetext.so)
  at _Jv_ThreadRun(java.lang.Thread) (/lib/ssa/libgcj.so.4.0.0)
  at GC_start_routine (/lib/ssa/libgcj.so.4.0.0)
  at __clone (/lib/tls/libc-2.3.2.so)


Version-Release number of selected component (if applicable):
eclipse-2.1.2-3.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. bring up Eclipse CDT
2. move cursor over a keyword
3.
    

Actual Results:  see description

Expected Results:  information on the keyword should be displayed

Additional info:

There is a known patch for this that can be applied.  It will be
applied and tested to see if it fixes this version/release.
Comment 1 Jeremy Handcock 2004-03-30 14:32:38 EST
This patch has been checked in and will appear in the release.  Closing.

Note You need to log in before you can comment on or make changes to this bug.